
<ion-header [translucent]="true">
  <ion-toolbar>

      <!-- <ion-searchbar
      (search)="buscador($event.target.value)" 
      debounce="100"
      placeholder="Busca un character"> 
    </ion-searchbar> -->
     <ion-searchbar
      placeholder="Busca un character" 
      [(ngModel)]="searchTerm"
      debounce="100"
      showCancelButton="focus"
      animated> 
    </ion-searchbar> 

  </ion-toolbar>
</ion-header>
<ion-content class="bg" >
  <ion-item class="bg" *ngFor="let character of characters | filter:searchTerm">
      <ion-list>
        <ion-item (click)="verDetalle(character.name, character.gender, character.species, character.image, character.Origin, character.Location)">
          <ion-avatar slot="start">
            <img src="{{character.image}}">
          </ion-avatar>
          <h3 >{{character.name}}</h3>   
          </ion-item>
    </ion-list>  
    <button  slot="end" ion-button (click)="setInStorage(character)" (click)="refreshPage()">⭐</button>  
         
  </ion-item>
 <ion-infinite-scroll threshold="25%" position="bottom" (ionInfinite)="loadData($event)">
  <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data..."></ion-infinite-scroll-content>
</ion-infinite-scroll>
</ion-content>


